\begin{exercise}{1.1}
\begin{itemize}
  \item The empirical risk is
    \[
      \EmpRisk{h_S^\circ} = \sum_{i=1}^{n} \IndicatorCond{h_S^\circ{(x_i)}\neq y_i}
                          = \sum_{i=1}^{n} \IndicatorCond{y_i\neq y_i}
                          = 0.
    \]
  \item Let \(S_0\) the subset of the sample such that \(y_i=0\):
      \[S_0 \coloneqq \{(x_i,y_i) \in S | y_i = 0\}.\]
    Let \(x_i^{(k)}\) the \(k\)th component of \(x_i \in \mathbb{R}^d\).
    Consider the polynomial
    \[
      p(x) = \prod_{(x_i,y_i) \in S_0}\left[\sum_{k=1}^{d}\left(x^{(k)}-x_i^{(k)}\right)^2\right].
    \]
    Since it's a product of non-negative terms, \(p(x)\ge0\quad\forall x\in \mathbb{R}^d\). Moreover it's clear that \[p(x)=0 \iff(x,0)\in S_0,\] so \(p\) is one of the polynomial we were looking for.
   
\end{itemize}
\end{exercise}